package SBC.OrangePi;

import SBC.BasicSBCInfo;
import anywheresoftware.b4a.BA;

@BA.ShortName("OrangePi_ZeroLTS_Pin")
public class ZeroLTS extends BasicSBCInfo {
	public final int pin03 = 12;
	public final int pin05 = 11;
	public final int pin07 = 6;
	public final int pin11 = 1;
	public final int pin13 = 0;
	public final int pin15 = 3;
	public final int pin19 = 15;
	public final int pin21 = 16;
	public final int pin23 = 14;
	public final int pin08 = 198;
	public final int pin10 = 199;
	public final int pin12 = 7;
	public final int pin16 = 19;
	public final int pin18 = 18;
	public final int pin22 = 2;
	public final int pin24 = 13;
	public final int pin26 = 10;
	
	public final String i2c_0= "/dev/i2c-0";
	public final String i2c_1= "/dev/i2c-1";
	public final String i2c_2= "/dev/i2c-2";
	
	public ZeroLTS() {
		super();
	}
	
	
	public void Initialize(BA bax, Object callerobject,  String event) {
		setup_events(bax, callerobject, event, this);
		
	}
	
	/**
	 * Belum ketemu 
	 * selalu return 0
	 */
	@Override
	public double Get_CPU_CoreVolt() {
		// TODO belum ketemu caranya
		return 0;
	}

}
